Name:           unrar
Version:        3.8.5
Release:        1.ru
Summary:        Utility for extracting, testing and viewing RAR archives
License:        Freeware with further limitations
Group:          Applications/Archiving
URL:            http://www.rarlab.com/rar_archiver.htm
Source0:        http://www.rarlab.com/rar/unrarsrc-%{version}.tar.gz
Patch0:         http://ftp.debian.org/debian/pool/non-free/u/unrar-nonfree/unrar-nonfree_3.8.5-2.diff.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): chkconfig
Requires(preun): chkconfig


%description
The unrar utility is a freeware program for extracting, testing and
viewing the contents of archives created with the RAR archiver version
1.50 and above.


%package -n libunrar
Summary:        Decompress library for RAR v3 archives
Group:          System Environment/Libraries

%description -n libunrar
The libunrar library allows programs linking against it to decompress
existing RAR v3 archives.


%package -n libunrar-devel
Summary:        Development files for libunrar
Group:          Development/Libraries
Requires:       libunrar = %{version}-%{release}
Provides:       libunrar3-%{version}

%description -n libunrar-devel
The libunrar-devel package contains libraries and header files for
developing applications that use libunrar.


%prep
%setup -q -n %{name}
%patch0 -p1 -b .deb


%build
make %{?_smp_mflags} -f makefile.unix \
  CXX="%{__cxx}" CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" STRIP=: RANLIB=ranlib
make %{?_smp_mflags} -f makefile.unix lib \
  CXX="%{__cxx}" CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" STRIP=: RANLIB=ranlib


%install
rm -rf %{buildroot}
install -Dpm 755 unrar %{buildroot}%{_bindir}/unrar
install -Dpm 644 debian/unrar-nonfree.1 %{buildroot}%{_mandir}/man1/unrar.1
install -Dpm 755 libunrar.so %{buildroot}%{_libdir}/libunrar.so
install -Dpm 644 dll.hpp %{buildroot}/%{_includedir}/unrar/dll.hpp


%clean
rm -rf %{buildroot}

%post -n libunrar -p /sbin/ldconfig


%postun -n libunrar -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.txt readme.txt
%{_bindir}/unrar
%{_mandir}/man1/unrar.1*

%files -n libunrar
%defattr(-,root,root,-)
%doc license.txt readme.txt
%{_libdir}/*.so

%files -n libunrar-devel
%defattr(-,root,root,-)
%doc license.txt readme.txt
%{_includedir}/*


%changelog
* Fri Apr 02 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 3.8.5-1
- Update CentOS package. specfile adapted from rpmfusion this time

* Sun Dec 6 2009 Conrad Meyer <konrad@tylerc.org>
- Fix post to use alternatives to manage unrar manpage as well.

* Mon Nov 30 2009 Conrad Meyer <konrad@tylerc.org>
- Fix preun to refer to the correct alternatives files.

* Fri Nov 20 2009 Conrad Meyer <konrad@tylerc.org>
- Add missing post/preun requires on chkconfig (#956).

* Fri Jul 17 2009 Conrad Meyer <konrad@tylerc.org>
- Fix breakages introduced by dropping the versioned SONAME patch.

* Wed Jul 8 2009 Conrad Meyer <konrad@tylerc.org>
- Bump to 3.8.5.

* Tue Jul 15 2008 Dries Verachtert <dries@ulyssis.org> - 3.8.2-1 - 6410+/dries
- Updated to release 3.8.2.

* Tue Apr  1 2008 Matthias Saou <http://freshrpms.net/> 3.7.8-1
- Update to 3.7.8.

* Wed Mar  7 2007 Matthias Saou <http://freshrpms.net/> 3.7.4-1
- Update to 3.7.4.

* Thu Sep 14 2006 Matthias Saou <http://freshrpms.net/> 3.6.8-1
- Update to 3.6.8.

* Wed Apr 19 2006 Matthias Saou <http://freshrpms.net/> 3.6.2-1
- Update to 3.6.2.

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 3.5.4-2
- Release bump to drop the disttag number in FC5 build.

* Fri Oct 14 2005 Matthias Saou <http://freshrpms.net/> 3.5.4-1
- Update to 3.5.4.

* Sun Jun  5 2005 Matthias Saou <http://freshrpms.net/> 3.5.2-1
- Update to 3.5.2.
- Disable stripping to get useful debuginfo package.

* Mon Apr  4 2005 Matthias Saou <http://freshrpms.net/> 3.5.1-1
- Update to 3.5.1.

* Tue Nov  2 2004 Matthias Saou <http://freshrpms.net/> 3.4.3-1
- Update to 3.4.3.

* Thu Feb 26 2004 Matthias Saou <http://freshrpms.net/> 3.3.6-1
- Update to 3.3.6.

* Mon Jan 19 2004 Matthias Saou <http://freshrpms.net/> 3.3.4-1
- Update to 3.3.4.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 3.2.3-1
- Update to 3.2.3.
- Rebuild for Fedora Core 1.

* Wed May 14 2003 Matthias Saou <http://freshrpms.net/>
- Update to 3.2.1.
- Added missing URL.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Update to 3.2.0.
- Rebuilt for Red Hat Linux 9.

* Mon Jan 13 2003 Matthias Saou <http://freshrpms.net/>
- Update to 3.1.3.

* Thu Oct 10 2002 Matthias Saou <http://freshrpms.net/>
- Spec file cleanup.

* Sat Oct  5 2002 Ville Skyttä <ville.skytta at iki.fi> 3.00-2cr
- Rebuild for Red Hat 8.0, using the compat GCC.

* Tue Sep 17 2002 Ville Skyttä <ville.skytta at iki.fi> 3.00-1cr
- RedHatified PLD version.

